unix-compat: Portable POSIX-compatibility layer.

[ bsd3, library, system ] [ Propose Tags ]

This package provides portable implementations of parts of the unix package. This package re-exports the unix package when available. When it isn't available, portable implementations are used.

Versions [faq] 0.1, 0.1.1, 0.1.2.0, 0.1.2.1, 0.2, 0.2.1, 0.2.1.1, 0.2.1.2, 0.2.1.3, 0.2.2, 0.2.2.1, 0.3, 0.3.0.1, 0.3.0.2, 0.4.0.0, 0.4.1.0, 0.4.1.1, 0.4.1.3, 0.4.1.4, 0.4.2.0, 0.4.3.0, 0.4.3.1, 0.5, 0.5.0.1, 0.5.1, 0.5.2 (info)
Dependencies base (==4.*), directory (==1.0.*), old-time (==1.0.*), unix (==2.4.*) [details]
License BSD-3-Clause
Author Björn Bringert, Duncan Coutts, Jacob Stanley
Maintainer Jacob Stanley <jacob@stanley.io>
Category System
Home page http://github.com/jystic/unix-compat
Source repo head: git clone git://github.com/jystic/unix-compat.git
Uploaded by JacobStanley at Thu Oct 14 15:55:06 UTC 2010
Distributions Arch:0.5.2, Debian:0.5.1, Fedora:0.5.2, FreeBSD:0.4.1.4, LTSHaskell:0.5.1, NixOS:0.5.2, Stackage:0.5.1, openSUSE:0.5.2
Downloads 183467 total (1363 in the last 30 days)
Rating (no votes yet) [estimated by Bayesian average]
Your Rating
  • λ
  • λ
  • λ
Status Hackage Matrix CI
Docs uploaded by user
Build status unknown [no reports yet]

Modules

[Index]

Flags

NameDescriptionDefaultType
portable

Force compiling in portable mode, useful for testing.

DisabledAutomatic

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Maintainer's Corner

For package maintainers and hackage trustees